# class Tk::Tile::Dialog

### Constants

TkCommandNames

### Public Class Methods

define_dialog_type(name, keys) click to toggle source

    # File lib/tkextlib/tile/dialog.rb, line 34
    def self.define_dialog_type(name, keys)
      Tk.tk_call('::ttk::dialog::define', name, keys)
      name
    end

display(*args) click to toggle source

    # File lib/tkextlib/tile/dialog.rb, line 30
    def self.display(*args)
      self.show(*args)
    end

new(keys={}) click to toggle source
Calls superclass method

    # File lib/tkextlib/tile/dialog.rb, line 45
    def initialize(keys={})
      @keys = _symbolkey2str(keys)
      super(*args)
    end

show(*args) click to toggle source

    # File lib/tkextlib/tile/dialog.rb, line 25
    def self.show(*args)
      dialog = self.new(*args)
      dialog.show
      [dialog.status, dialog.value]
    end

style(*args) click to toggle source

    # File lib/tkextlib/tile/dialog.rb, line 39
    def self.style(*args)
      ['Dialog', *(args.map!{|a| _get_eval_string(a)})].join('.')
    end

### Public Instance Methods

cget(slot) click to toggle source

    # File lib/tkextlib/tile/dialog.rb, line 67
    def cget(slot)
      @keys[slot.to_s]
    end

cget_strict(slot) click to toggle source

    # File lib/tkextlib/tile/dialog.rb, line 64
    def cget_strict(slot)
      @keys[slot.to_s]
    end

client_frame() click to toggle source

    # File lib/tkextlib/tile/dialog.rb, line 60
    def client_frame
      window(tk_call_without_enc('::ttk::dialog::clientframe', @path))
    end

configinfo(slot = nil) click to toggle source

    # File lib/tkextlib/tile/dialog.rb, line 95
    def configinfo(slot = nil)
      if slot
        slot = slot.to_s
        [ slot, nil, nil, nil, @keys[slot] ]
      else
        @keys.collect{|k, v| [ k, nil, nil, nil, v ] }
      end
    end

configure(slot, value=None) click to toggle source

def cget(slot)

    unless TkConfigMethod.__IGNORE_UNKNOWN_CONFIGURE_OPTION__
      cget_strict(slot)
    else
      cget_strict(slot) rescue nil
    end

end

    # File lib/tkextlib/tile/dialog.rb, line 80
    def configure(slot, value=None)
      if slot.kind_of?(Hash)
        slot.each{|k, v| configure(k, v)}
      else
        slot = slot.to_s
        value = _symbolkey2str(value) if value.kind_of?(Hash)
        if value && value != None
          @keys[slot] = value
        else
          @keys.delete(slot)
        end
      end
      self
    end

display()
Alias for: show
show() click to toggle source

    # File lib/tkextlib/tile/dialog.rb, line 55
    def show
      tk_call(self.class::TkCommandNames[0], @path, *hash_kv(@keys))
    end

Also aliased as: display

### Private Instance Methods

create_self(keys) click to toggle source

    # File lib/tkextlib/tile/dialog.rb, line 50
    def create_self(keys)
      # dummy
    end